# together – merges lists into synchronized list

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Creates a list with the iterated elements of the supplied lists

- To clarify with an example, [ ‘a’, ‘b’ ] and [ 1, 2 ] turn into [ (‘a’,1), (‘b’, 2) ]

- This is basically the same as the ‘zip_longest’ filter and Python function

- Any ‘unbalanced’ elements will be substituted with ‘None’

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms - / required |  |  | list of lists to merge

## Examples

    - name: item.0 returns from the 'a' list, item.1 returns from the '1' list
      debug:
        msg: "{{ item.0 }} and {{ item.1 }}"
      with_together:
        - ['a', 'b', 'c', 'd']
        - [1, 2, 3, 4]

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_list - |  | synchronized list

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Bradley Young <young.bradley@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.